Subject: Re: 12" Delta Jointer

From: "Thomas E. Koerner" <[email-masked]>
Date: 10 Feb 1997 13:57:10 GMT

Geoff,
Are you talking about the Delta 12" Planner or the Jointer.  Two different
animals in the woodworking arena.  I have both a Jointer and Planner, the
Jointer I have is a 6" Powermatic and the Planner is a 12" Portable Delta. 
I love them both and need both to really do a good job of straightening and
"thicknessing" a board.  I believe you are talking about he planner, which
is fine if your board is already flat.  The problem with the planner is
that it follows the contour of the board, so if you have a bow in the
board, it will not take that out, but it will provide a consistent
thickness.
Hope this helped some.

Both tools are almost essential if you plan on using full dimension lumber
and finishing it yourself.  
-- 
Financial Independence is a choice, not a circumstance.

Geoff Waite <[email-masked]> wrote in article
<[email-masked]>...
> I am interested in buying a Delta 12" jointer. Does anyone out there
> have one of these animals? If so are the blades easy to change. I know
> from experiance that the jointers from yesteryear Delta were pretty
> tough to get the blades set just right. From the catalog it looks like
> they have a screw mechanism that raises the blades to the desired hight.
> Is this true?
> Thanks in Advance,Geoff
> 
> I see said the blind man who picked up his hammer and saw!
>